r4679 - in packages/trunk/ogre/debian: . extras

Andres Mejia ceros-guest at alioth.debian.org
Thu Nov 15 19:05:19 UTC 2007


Author: ceros-guest
Date: 2007-11-15 19:05:19 +0000 (Thu, 15 Nov 2007)
New Revision: 4679

Added:
   packages/trunk/ogre/debian/extras/compiledemos.sh
Removed:
   packages/trunk/ogre/debian/extras/compileall.sh
Modified:
   packages/trunk/ogre/debian/changelog
   packages/trunk/ogre/debian/libogre-dev.examples
Log:
Uploading new changes for ogre-1.4.5-2

Modified: packages/trunk/ogre/debian/changelog
===================================================================
--- packages/trunk/ogre/debian/changelog	2007-11-15 16:34:52 UTC (rev 4678)
+++ packages/trunk/ogre/debian/changelog	2007-11-15 19:05:19 UTC (rev 4679)
@@ -1,3 +1,15 @@
+ogre (1.4.5-2) unstable; urgency=low
+
+  [ Andres Mejia ]
+  * (Closes: 327423)
+    Providing a script that downloads and compiles the demos was the best way
+    in fixing bug 327423 since the demos have licensing problems preventing
+    them from being distributed through Debian.
+  * (Closes: 356427)
+    Original submitter of this bug says the bug is probably not valid by now.
+
+ -- Andres Mejia <mcitadel at gmail.com>  Thu, 15 Nov 2007 11:57:28 -0500
+
 ogre (1.4.5-1) unstable; urgency=low
 
   [ Andres Mejia ]

Deleted: packages/trunk/ogre/debian/extras/compileall.sh
===================================================================
--- packages/trunk/ogre/debian/extras/compileall.sh	2007-11-15 16:34:52 UTC (rev 4678)
+++ packages/trunk/ogre/debian/extras/compileall.sh	2007-11-15 19:05:19 UTC (rev 4679)
@@ -1,93 +0,0 @@
-#!/bin/bash
-#
-# This script can be used to compile all the Samples using the currently
-# installed (as reported by pkg-config) Ogre files. This is especially
-# usefull to test the Debian packages, that do not include any Sample due
-# to licensing problems.
-#
-# This script will attempt to download the source tarball in case it's not
-# found in the current directory, unpack it, and rename the extracted
-# directory to ogre-1.4.4_samples.
-
-compile() {
-    pushd >/dev/null $1/src
-    out=Common/bin/$(basename $1)
-    fin="$(ls *.cpp)"
-    echo -n "Compiling $fin to Samples/$out ... "
-    g++ -o ../../$out *.cpp -I../../Common/include -I../include \
-        $(pkg-config --cflags --libs $2) $3
-    echo "done"
-    popd >/dev/null
-}
-
-if [ ! -f ogre-linux_osx-v1-4-4.tar.bz2 ]; then
-	# Download the tarball
-	wget http://downloads.sourceforge.net/ogre/ogre-linux_osx-v1-4-4.tar.bz2
-fi
-
-# Verify the checksum
-CORRECT_CHECKSUM=456b75d21bc09d9cee937e3ccf9fbced
-COMPUTED_CHECKSUM=`md5sum ogre-linux_osx-v1-4-4.tar.bz2 | cut -d ' ' -f 1`
-
-if [ $CORRECT_CHECKSUM != $COMPUTED_CHECKSUM ]; then
-	echo "Checksum verification failed. Checksum was $COMPUTED_CHECKSUM
-Expected checksum $CORRECT_CHECKSUM"
-	exit 0
-else
-	echo "Checksum verified. Checksum is $COMPUTED_CHECKSUM."
-fi
-
-# Unpack the tarball
-if [ ! -d ogrenew ]; then
-	echo "Extracting ogre-linux_osx-v1-4-4.tar.bz2"
-	tar -xjf ogre-linux_osx-v1-4-4.tar.bz2
-else
-	echo "Already found extracted ogrenew directory. Please remove 
-or move ogrenew and ogre-1.4.4_samples directories."
-	exit 0
-fi
-if [ ! -d ogre-1.4.4_samples ]; then
-	echo "Renaming extracted ogrenew directory to ogre-1.4.4_samples"
-	mv ogrenew ogre-1.4.4_samples
-else
-	echo "Already found ogre-1.4.4_samples directory. Please remove or move 
-ogrenew and ogre-1.4.4_samples directories."
-	exit 0
-fi
-
-# Go into ogre samples directory.
-cd ogre-1.4.4_samples
-
-if [ -z "$1" ] ; then
-    SAMPLES="$(find Samples -maxdepth 1 -type d)"
-else
-    for name in $* ; do
-        SAMPLES="$SAMPLES Samples/$name"
-    done
-fi
-
-for sample in $SAMPLES ; do
-    case $(basename $sample) in
-    
-      CVS|Samples|Common|Media)
-        # nothing to do
-      ;;
-      
-      GTKDemo|HDRDemo)
-        # simply don't build
-      ;;
-	
-      Gui)
-        #compile $sample "OGRE CEGUI" -lCEGUIBase
-      ;;
-      
-      *)
-        compile $sample OGRE
-      ;;
-    
-    esac
-done
-
-# TODO: Create options that allow to skip unpacking and renaming folder and
-# go right into compiling samples. A proper "clean" option and implementation
-# would also be useful to remove anything that was built.

Added: packages/trunk/ogre/debian/extras/compiledemos.sh
===================================================================
--- packages/trunk/ogre/debian/extras/compiledemos.sh	                        (rev 0)
+++ packages/trunk/ogre/debian/extras/compiledemos.sh	2007-11-15 19:05:19 UTC (rev 4679)
@@ -0,0 +1,110 @@
+#!/bin/bash
+#
+# This script can be used to compile all the Samples using the currently
+# installed (as reported by pkg-config) Ogre files. This is especially
+# useful to test the Debian packages that do not include any Sample due
+# to licensing problems.
+#
+# This script will attempt to download the source tarball in case it's not
+# found in the current directory, unpack it, and compile the Samples.
+
+OGRESRC=ogre-linux_osx-v1-4-5.tar.bz2
+OGRESUM=efce9ce9e2b0e2d593e45479210bd4af
+
+compile () {
+    pushd >/dev/null $1/src
+    out=Common/bin/$(basename $1)
+    echo -n "Compiling Samples/$out ... "
+    test -x ../../$out || \
+        g++ -o ../../$out *.cpp -I../../Common/include -I../include \
+            $(pkg-config --cflags --libs $2) $3
+    echo "done"
+    popd >/dev/null
+}
+
+check_deb () {
+    if ! $(dpkg -l $1 2>&1 | grep >/dev/null 2>&1 ii) ; then
+        echo "Error: package $1 is missing; please install it and re-run this script"
+        exit 1
+    fi
+}
+
+# Some basic checks for the build environment
+check_deb libois-dev
+check_deb libogre-dev
+
+if [ ! -f $OGRESRC ]; then
+    wget http://downloads.sourceforge.net/ogre/$OGRESRC
+fi
+
+CHECKSUM=$(md5sum $OGRESRC | cut -d ' ' -f 1)
+if [ $OGRESUM != $CHECKSUM ]; then
+    echo "Error: checksum verification failed:"
+    echo "  computed checksum is  $CHECKSUM"
+    echo "  expected checksum was $OGRESUM"
+    exit 1
+else
+    echo "Checksum verified: $CHECKSUM"
+fi
+
+# Unpack the tarball
+if [ ! -d ogrenew ]; then
+	echo "Extracting $OGRESRC to ogrenew"
+	tar -xjf $OGRESRC
+else
+	echo "Using existing ogrenew directory (remove it and re-run this script if you want to start from scratch)"
+fi
+
+# Link to the correct plugins.cfg for this system.
+rm -f ogrenew/Samples/Common/bin/plugins.cfg
+ln -s /etc/OGRE/plugins.cfg ogrenew/Samples/Common/bin/plugins.cfg
+
+# Go into ogre samples directory and compile everything
+cd ogrenew
+
+if [ -z "$1" ] ; then
+    SAMPLES="$(find Samples -maxdepth 1 -type d)"
+else
+    for name in $* ; do
+        SAMPLES="$SAMPLES Samples/$name"
+    done
+fi
+
+for sample in $SAMPLES ; do
+    case $(basename $sample) in
+    
+      CVS|Samples|Common|Media)
+        # nothing to do
+      ;;
+      
+      GTKDemo|HDRDemo)
+        # simply don't build
+      ;;
+	
+      Gui)
+        # compile $sample "OGRE CEGUI" -lCEGUIBase
+      ;;
+    
+      Shadows|Compositor|FacialAnimation|OceanDemo|Instancing)
+        # deactivated untill CEGUI is updated
+      ;;
+
+	BSP)
+		# Don't build as it requires quake3 data files.
+	;;
+
+      *)
+        compile $sample "OGRE OIS" 
+      ;;
+    
+    esac
+done
+
+if ! $(dpkg -l ogre-plugins-cgprogrammanager 2>&1 | grep >/dev/null 2>&1 ii) ; then
+	echo "The package ogre-plugins-cgprogrammanager is not installed (or is unavailable) on this system. This will significantly change the behavior of some demos."
+fi
+
+echo "Be sure to go into the ogrenew/Samples/Common/bin directory and run each demo from there."
+
+# TODO: A proper "clean" option and implementation
+# would also be useful to remove anything that was built.


Property changes on: packages/trunk/ogre/debian/extras/compiledemos.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/trunk/ogre/debian/libogre-dev.examples
===================================================================
--- packages/trunk/ogre/debian/libogre-dev.examples	2007-11-15 16:34:52 UTC (rev 4678)
+++ packages/trunk/ogre/debian/libogre-dev.examples	2007-11-15 19:05:19 UTC (rev 4679)
@@ -1 +1 @@
-debian/extras/compileall.sh
+debian/extras/compiledemos.sh




More information about the Pkg-games-commits mailing list